Package org.apache.catalina.tribes.membership.cloud

## Interface CloudMembershipServiceMBean

All Known Implementing Classes:
  `CloudMembershipService`

    public interface CloudMembershipServiceMBean

### Method Summary

All Methods Instance Methods Abstract Methods
`Member` `findMemberByName​(String name)`
`int` `getConnectTimeout()`
`long` `getExpirationTime()`
`String[]` `getMembersByName()`
`Properties` `getProperties()`
`int` `getReadTimeout()`
`boolean` `hasMembers()`

### Method Detail

#### getConnectTimeout

    int getConnectTimeout()

#### getReadTimeout

    int getReadTimeout()

#### getExpirationTime

    long getExpirationTime()

#### getProperties

    Properties getProperties()

#### hasMembers

    boolean hasMembers()

#### getMembersByName

    String[] getMembersByName()

#### findMemberByName

    Member findMemberByName​(String name)